/*
 * Copyright 2003 LAAS-CNRS
 *
 *   LAAS-CNRS
 *   7, avenue du Colonel Roche
 *   F-31077 Toulouse Cedex 4 / France
 *
 * Author: Francois Taiani
 *
 * This file is part of OPSBrowser.
 * 
 * OPSBrowser is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * OPSBrowser is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with OPSBrowser; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 */
/**
 * AbstractPatternAway.java
 * 
 * Time-stamp: <2003-03-07 23:44:47 ftaiani>
 * @author Francois Taiani   <taiani@laas.fr>
 * CVS Info: $Id: AbstractPatternAway.java,v 1.4 2003/10/13 07:25:42 ftaiani Exp $
 * 
 */

package laas.friends.cosmopen.commands;

import laas.friends.cosmopen.graphAnalysis.* ;
import java.util.* ;

/**
 * @author Francois Taiani   <taiani@laas.fr>
 * @version $Name: release-1-3-rc1 $ $Revision: 1.4 $
 * @since Version 0.1.2
 */
public class AbstractPatternAway extends AbstractAbstractAwayCmd {

    public AbstractPatternAway() {
 	super("absPatern") ;
	addAlias("patternAbstract") ;
	addAlias("pab");
	addAlias("abp");
	addAlias("%");
// 	setShortOutput(true) ;
	this.setShortDescription
	    ( "abstracts away the nodes that match a pattern.") ;
	this.setLongDescription
	    ( "'patternAbstract <aPattern> <graph>' abstracts away the nodes whose "+
	      "names match the passed pattern from the graph contained in <graph>.\n"+
	      "<aPattern> must be a limited wildcard expression. I.e. stars "+
	      "('*') are allowed either at the beginning or at the end of the "+
	      "pattern but not in the middle. Abstracting away means nodes are removed "+
	      "but their childs are re-connected to their unique parent.\n"+
	      "This is specific to call graphs and won't work on other graphs.") ;

   } // EndConstructor AbstractPatternAway

    protected Collection getNodeSToRemoveFromCondition(String condition) 
    {
	return graphUnderFire.getNodeSWithRegExp(condition);
    } // EndMethod getNodeSToRemoveFromCondition

} // EndClass AbstractPatternAway
