/*
 * Copyright 2003 LAAS-CNRS
 *
 *   LAAS-CNRS
 *   7, avenue du Colonel Roche
 *   F-31077 Toulouse Cedex 4 / France
 *
 * Author: Francois Taiani
 *
 * This file is part of OPSBrowser.
 * 
 * OPSBrowser is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * OPSBrowser is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with OPSBrowser; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 */
/**
 * AbstractRemove.java
 * 
 * Time-stamp: <2003-02-25 14:07:20 ftaiani>
 * @author Francois Taiani   <taiani@laas.fr>
 * CVS Info: $Id: AbstractRemove.java,v 1.2 2003/04/07 18:10:35 ftaiani Exp $
 * 
 */

package laas.friends.cosmopen.commands;

import laas.friends.cosmopen.graphAnalysis.* ;
import java.util.* ;

/**
 * @author Francois Taiani   <taiani@laas.fr>
 * @version $Name: release-1-3-rc1 $ $Revision: 1.2 $
 * @since Version 0.1.1
 */
public abstract class AbstractRemove extends AbstractApplyToNodesCmd {

    public AbstractRemove(String aName) {
	super(aName,2,2) ;
    } // EndConstructor AbstractRemove
    
    /**
     * removes the node from the graph.
     */
    protected void applyCommandToNode(NamedVertex currentNamedVertex) 
	throws Exception
    {
	_nbOfRemovedNodes++ ;
	graphUnderFire.remove(currentNamedVertex) ;
    } // EndMethod applyCommandToNode

} // EndClass AbstractRemove
