/*
 * Copyright 2003 LAAS-CNRS
 *
 *   LAAS-CNRS
 *   7, avenue du Colonel Roche
 *   F-31077 Toulouse Cedex 4 / France
 *
 * Author: Francois Taiani
 *
 * This file is part of OPSBrowser.
 * 
 * OPSBrowser is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * OPSBrowser is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with OPSBrowser; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 */
/**
 * .java
 * 
 * Time-stamp: <02/08/26 12:57:59 ftaiani>
 * @author Francois Taiani   <taiani@laas.fr>
 * CVS Info: $Id: AbstractToDotCommand.java,v 1.2 2007/09/18 18:23:41 ftaiani_normal Exp $
 * 
 */
package laas.friends.cosmopen.commands  ;

import laas.friends.cosmopen.graphAnalysis.DirectedGraphWithDict ;
import laas.friends.cosmopen.graphAnalysis.DirectedGraphWithDict2DotOStream ;

/**
 * 
 * @author Francois Taiani   <taiani@laas.fr>
 * @version $Name: release-1-3-rc1 $ $Revision: 1.2 $
 * @since Version 0.0.3
 */
public abstract class AbstractToDotCommand extends OutputCommand {

    public AbstractToDotCommand(String name) {
	super(name,2,2) ;
    } // EndConstructor AbstractToDotCommand
	
    public boolean handleCallWithRawFormatOrNot
	( String[] args,
	  boolean  isRawOuput ) 
	throws Exception 
    {

	if ( ! doNecessaryVariableChecks(args,1,1) ) 
	     return false ;

	DirectedGraphWithDict sourceGraph 
	    = GraphVariable.GetGraphForName(args[1]) ;
	    
	boolean executionOk = false ;

	try {

	    java.io.OutputStream output 
		= new java.io.FileOutputStream(args[2]) ;
	    DirectedGraphWithDict2DotOStream writer ;
// 	    writer = new DirectedGraphWithDict2DotOStream(output);
	    
	    if (isRawOuput) 
		writer =
		    (DirectedGraphWithDict2DotOStream)
		    sourceGraph.getRawWriter       () ;
	    else 
		writer = 
		    (DirectedGraphWithDict2DotOStream)
		    sourceGraph.getFormattingWriter() ;

	    writer.setOutstream(output) ;
	    writer.setPageSizeAndEntireSize ("8.27,11.69", "13.6,9") ;
	    writer.setComment 
		( this.getCommentForArgsFileAndVar(args,args[2],args[1]) ) ;
	    writer.setFormatForScreen   (false);
	    writer.writeGraphInDotFormat(sourceGraph) ;
	    writer.setFormatForScreen   (true);

	    output.close() ;
	    println("'"+args[1]+"' dot-output to '"+args[2]+"'.") ;
	    executionOk = true ;

	} catch (java.io.IOException ioExcept) {
	    println( "IO ERROR: " + ioExcept) ;
	}

	return executionOk ;

    } // EndMethod handleCall

} // EndClass AbstractToDotCommand
