/*
 * Copyright 2003 LAAS-CNRS
 *
 *   LAAS-CNRS
 *   7, avenue du Colonel Roche
 *   F-31077 Toulouse Cedex 4 / France
 *
 * Author: Francois Taiani
 *
 * This file is part of OPSBrowser.
 * 
 * OPSBrowser is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * OPSBrowser is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with OPSBrowser; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 */
/**
 * BindRawCommand.java
 * 
 * Time-stamp: <2002-08-16 21:55:04 ftaiani>
 * @author Francois Taiani   <taiani@laas.fr>
 * CVS Info: $Id: BindRawCommand.java,v 1.2 2003/04/07 18:10:35 ftaiani Exp $
 * 
 */

package laas.friends.cosmopen.commands;

import laas.friends.cosmopen.interpreter.Command ;

/**
 * As {@link Bind2PsCommand}, but the output
 * is done in raw format for {@link laas.friends.cosmopen.graphAnalysis.CallGraph}
 * instances.
 * @see laas.friends.cosmopen.graphAnalysis.CallGraph#getFormattingWriter()
 * @author Francois Taiani   <taiani@laas.fr>
 * @version $Name: release-1-3-rc1 $ $Revision: 1.2 $
 * @since Version 0.1.1
 */
public class BindRawCommand
    extends AbstractBindCommand
{
    public BindRawCommand(/*Command[] commandsWhichBreackBind*/ ) {
	super("bindraw"/*,commandsWhichBreackBind*/) ;
	addAlias("braw");
	this.setShortDescription
	    ( "binds a variable to a ps file in a raw representation." ) ;
	this.setLongDescription
	    ( "'bindraw <var>' binds the variable <var> to the "+
	      "postscript file 'a.ps'. Each time the variable is "+
	      "changed, this file will be updated. The ps file " +
	      "represent the graph in raw format.") ;

     } // EndConstructor Bind2PsCommand

    public boolean handleCall(String[] args) {
	return super.handleCallWithRawFormatOrNot(args,true);
    }

} // EndClass BindRawCommand
