/*
 * Copyright 2003 LAAS-CNRS
 *
 *   LAAS-CNRS
 *   7, avenue du Colonel Roche
 *   F-31077 Toulouse Cedex 4 / France
 *
 * Author: Francois Taiani
 *
 * This file is part of OPSBrowser.
 * 
 * OPSBrowser is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * OPSBrowser is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with OPSBrowser; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 */
/**
 * History.java
 * 
 * Time-stamp: <2002-11-26 16:22:35 ftaiani>
 * @author Francois Taiani   <taiani@laas.fr>
 * CVS Info: $Id: History.java,v 1.2 2003/04/07 18:10:36 ftaiani Exp $
 * 
 */

package laas.friends.cosmopen.commands  ;

/**
 * This class extends {@link java.util.Vector} with the
 * ability to print itself to an output stream.
 * (A)lternative: We could have overload toString()
 * @author Francois taiani   <taiani@laas.fr>
 */
public class History extends java.util.Vector {

    public History() {
	super() ;
    } // EndConstructor History

    public History(java.util.Collection c) {
	super(c) ;
    } // EndConstructor History

    public void printYourselfToStream(java.io.PrintStream outStream) {

	java.util.Iterator  iterHist   = this.iterator() ;
	while(iterHist.hasNext()) {
	    outStream.println("  "+iterHist.next());
	} // EndWhile iterHist.hasNext()

    } // EndMethod printYourselfToStream

} // EndClass History
