/*
 * Copyright 2003 LAAS-CNRS
 *
 *   LAAS-CNRS
 *   7, avenue du Colonel Roche
 *   F-31077 Toulouse Cedex 4 / France
 *
 * Author: Francois Taiani
 *
 * This file is part of OPSBrowser.
 * 
 * OPSBrowser is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * OPSBrowser is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with OPSBrowser; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 */
/**
 * RemoveAfter.java
 * 
 * Time-stamp: <2003-03-07 23:44:47 ftaiani>
 * @author Francois Taiani   <taiani@laas.fr>
 * CVS Info: $Id: RemoveAfter.java,v 1.2 2003/04/07 18:10:36 ftaiani Exp $
 * 
 */

package laas.friends.cosmopen.commands;

import laas.friends.cosmopen.graphAnalysis.* ;
import java.util.* ;

/**
 * @author Francois Taiani   <taiani@laas.fr>
 * @version $Name: release-1-3-rc1 $ $Revision: 1.2 $
 * @since Version 0.1.1
 */
public class RemoveAfter extends AbstractTime {

    public RemoveAfter() {
	super("remAfter") ;
	addAlias("ra");
	addAlias("-a");
	addAlias("rem>");
	addAlias("r>");
	addAlias("remA");
	this.setShortDescription
	    ( "removes the event of a call graph that are subsequent to a given timeD.") ;
	this.setLongDescription
	    ( "'remAfter <evendID> <aVariableName>' removes the nodes that "+
	      "have event IDs larger that the passed one."+
	      "This is specific to call graphs and won't work on other graphs.") ;

    } // EndConstructor RemoveAfter
	
    protected Collection getNodeSToRemoveFromCondition(String condition) 

	throws IllegalArgumentException
    {
	if (!(graphUnderFire instanceof CallGraph))
	    throw new IllegalArgumentException("The passed graph is not a call graph.") ;
	int eventID = Integer.parseInt(condition) ;
	return ((CallGraph)graphUnderFire).getEventSBetweenEventID(eventID+1,-1) ;	
    }

} // EndClass RemoveAfter
