/*
 * Copyright 2003 LAAS-CNRS
 *
 *   LAAS-CNRS
 *   7, avenue du Colonel Roche
 *   F-31077 Toulouse Cedex 4 / France
 *
 * Author: Francois Taiani
 *
 * This file is part of OPSBrowser.
 * 
 * OPSBrowser is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * OPSBrowser is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with OPSBrowser; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 */
/**
 * ToPsCommand.java
 * 
 * Time-stamp: <01/07/04 13:04:51 ftaiani>
 * @author Francois Taiani   <taiani@laas.fr>
 * CVS Info: $Id: ToPsCommand.java,v 1.3 2007/09/18 18:23:42 ftaiani_normal Exp $
 * 
 */
package laas.friends.cosmopen.commands  ;

import laas.friends.cosmopen.graphAnalysis.DirectedGraphWithDict ;

/**
 * 
 * @author Francois Taiani   <taiani@laas.fr>
 * @version $Name: release-1-3-rc1 $ $Revision: 1.3 $
 * @since Version 0.0.3
 */
public class ToPsCommand extends OutputCommand {

    /**
     * the default file the graph is output to in case
     * no file name is given.
     */
    static public final String DEFAULT_FILE = "a.ps" ;

    public ToPsCommand() {
	super("2ps",1,2) ;
	this.setShortDescription
	    ( "outputs the graph contained in a variable to a ps file." ) ;
	this.setLongDescription
	    ( "'2ps <aVar> [<aFile>]' outputs the graph contained " +
	      "in a variable to a ps file. By default this file is '"+
	      ToPsCommand.DEFAULT_FILE+"'." ) ;
    } // EndConstructor ToPsCommand
	
    public boolean handleCall(String[] args) {
	if ( ! doNecessaryVariableChecks(args,1,1) ) return false ;

	DirectedGraphWithDict sourceGraph =
	    GraphVariable.GetGraphForName(args[1]) ;

	GraphVariable.setFormatForScreen(false);

	if (args.length==2) {
	    GraphVariable.PrintGraphToPSFile
		( sourceGraph, ToPsCommand.DEFAULT_FILE ) ;
	} // EndIf
	else {
	    GraphVariable.PrintGraphToPSFileWithPageSizeSizeAndComment
		( sourceGraph, args[2]
		  , "8.27,11.69", "13.6,9"
		  , this.getCommentForArgsFileAndVar(args,args[2],args[1]) ) ;
	} // EndIfElse

	GraphVariable.setFormatForScreen(true);

	return true ;
    } // EndMethod handleCall

} // EndInnerClass ToPsCommand
    
