/*
 * Copyright 2003 LAAS-CNRS
 *
 *   LAAS-CNRS
 *   7, avenue du Colonel Roche
 *   F-31077 Toulouse Cedex 4 / France
 *
 * Author: Francois Taiani
 *
 * This file is part of OPSBrowser.
 * 
 * OPSBrowser is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * OPSBrowser is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with OPSBrowser; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 */
/**
 * TestGraphAnalysis.java
 * 
 * Time-stamp: <02/08/16 11:50:18 ftaiani>
 * @author Francois Taiani   <taiani@laas.fr>
 * CVS Info: $Id: TestGraphAnalysis.java,v 1.3 2004/09/09 15:31:02 ftaiani Exp $
 * 
*/
package laas.friends.cosmopen.graphAnalysis.test  ;

import junit.framework.TestSuite ;

import laas.friends.cosmopen.graphAnalysis.* ;

/**
 * Test driver for the <code>laas.friends.cosmopen.graphAnalysis</code> package.
 * @author Francois Taiani   <taiani@laas.fr>
 * @version $Name: release-1-3-rc1 $ $Revision: 1.3 $
 * @since Version 0.0.3
 */
public class TestGraphAnalysis
    extends BagBasedTest {

    public TestGraphAnalysis(String name) {
	super(name) ;
    } // EndConstructor TestGraphAnalysis

    /**
     * creates a global set of test the 
     * <code>laas.friends.cosmopen.graphAnalysis</code> package.
     * Is intened to be used with a junit TestRunner.
     */
    public static junit.framework.Test suite() { 

	TestSuite suite= new TestSuite(); 
	suite.addTest(new TestSuite(TestXMLGraphBuilder.class) ); 
	suite.addTest(new TestSuite(TestXMLGraphReader.class)  );
	suite.addTest(new TestSuite(TestSmallClasses.class)               ); 
	suite.addTest(new TestSuite(TestDirectedGraphWithDictImpl.class)  ); 
	suite.addTest(new TestSuite(TestXMLGraphWriter.class)       );
	suite.addTest(new TestSuite(TestDynamicEdgeRendering.class)       );
	suite.addTest(new TestSuite(TestXMLTraceSet2CallGraphReader.class)         );
	suite.addTest(new TestSuite(TestGenericXMLReader.class)           );
	suite.addTest(new TestSuite(TestGenericXMLReader2.class)          );
	suite.addTest(new TestSuite(TestCallGraphToCondensedGraphTransformer.class) );
	suite.addTest(new TestSuite(TestXMLCallGraphReader.class)       );
	suite.addTest(new TestSuite(TestGenericXMLReader3.class)          );
	suite.addTest(new TestSuite(TestCallGraph.class)                  );
 	suite.addTest(new TestSuite(TestOnTheFlyCallGraphBuilder.class)   );
	return suite;

    } // EndStaticMethod public static Test suite()

} // EndClass TestGraphAnalysis
