/*
 * Copyright 2003 LAAS-CNRS
 *
 *   LAAS-CNRS
 *   7, avenue du Colonel Roche
 *   F-31077 Toulouse Cedex 4 / France
 *
 * Author: Francois Taiani
 *
 * This file is part of OPSBrowser.
 * 
 * OPSBrowser is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * OPSBrowser is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with OPSBrowser; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 */
/**
 * TestXMLCallGraphReader.java
 * 
 * Time-stamp: <02/08/16 11:50:24 ftaiani>
 * @author Francois Taiani   <taiani@laas.fr>
 * CVS Info: $Id: TestXMLCallGraphReader.java,v 1.1 2004/09/09 15:35:38 ftaiani Exp $
 * 
 */

package laas.friends.cosmopen.graphAnalysis.test  ;

import java.io.* ;

import laas.friends.cosmopen.graphAnalysis.* ;

/**
 * @author Francois Taiani   <taiani@laas.fr>
 * @version $Name: release-1-3-rc1 $ $Revision: 1.1 $
 * @since Version 0.1.1
 */
public class TestXMLCallGraphReader 
    extends AbstractCallGraphReaderTest {

    public TestXMLCallGraphReader(String name) {
	super(name) ;
    } // EndConstructor TestXMLCallGraphReader

    protected AbstractXMLReader createGraphReaderTestee() {
	return new XMLCallGraphReader() ;
    } 

    public void testReadGraphFromXML() throws Exception {
 	XMLTraceSet2CallGraphReader
	    traceReader = new XMLTraceSet2CallGraphReader () ;

 	CallGraph graphToBeSaved ;
 	graphToBeSaved = 
	    (CallGraph)traceReader.readGraphFromXML(getTraceSetXMLStream1()) ;
	ByteArrayOutputStream output = new ByteArrayOutputStream() ;
	XMLGraphWriter  writer = new XMLGraphWriter(output) ;
	writer.writeGraph(graphToBeSaved) ;
	
	AbstractXMLReader readerTestee = createGraphReaderTestee() ;
	ByteArrayInputStream input = new ByteArrayInputStream(output.toByteArray()) ;
	    CallGraph result = (CallGraph)readerTestee.readGraphFromXML(input) ;

	assertEquals(graphToBeSaved,result) ;

    } // EndMethod testReadGraphFromXML

} // EndClass TestXMLCallGraphReader
