/*
 * Copyright 2003 LAAS-CNRS
 *
 *   LAAS-CNRS
 *   7, avenue du Colonel Roche
 *   F-31077 Toulouse Cedex 4 / France
 *
 * Author: Francois Taiani
 *
 * This file is part of OPSBrowser.
 * 
 * OPSBrowser is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * OPSBrowser is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with OPSBrowser; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 */
/**
 * AbstractCommandInterpreterTest.java
 * 
 * Time-stamp: <2003-03-11 11:13:43 ftaiani>
 * @author Francois Taiani   <taiani@laas.fr>
 * $Id: AbstractCommandInterpreterTest.java,v 1.2 2003/04/07 18:10:37 ftaiani Exp $
 * 
 */

package laas.friends.cosmopen.interpreter  ;

import laas.friends.cosmopen.utils.NullOutStream ;

import junit.framework.TestCase ;
import java.io.* ;

/**Base class for test cases in the package 
 * {@link laas.friends.cosmopen.interpreter}. It redirects
 * {@link CommandInterpreter#out}, so that
 * output from the {@link CommandInterpreter} and from
 * the {@link Command}s don't interfer with the test
 * results.
 * @author Francois Taiani   <taiani@laas.fr>
 */
public class AbstractCommandInterpreterTest extends TestCase{

    public AbstractCommandInterpreterTest(String name) {
	super(name) ;
    } // EndConstructor AbstractCommandInterpreterTest

    /** ****************************************************
     * {@link CommandInterpreter#out} is redirected to 
     * a {@link laas.friends.cosmopen.utils.NullOutStream}.
     */
    protected void setUp() throws java.lang.Exception {
	CommandInterpreter.out = new PrintStream(new NullOutStream()) ;
    } // EndMethod setUp

    protected void tearDown() throws java.lang.Exception {
	CommandInterpreter.out = System.out ;
    }

} // EndClass AbstractCommandInterpreterTest

