/*
 * Copyright 2003 LAAS-CNRS
 *
 *   LAAS-CNRS
 *   7, avenue du Colonel Roche
 *   F-31077 Toulouse Cedex 4 / France
 *
 * Author: Francois Taiani
 *
 * This file is part of OPSBrowser.
 * 
 * OPSBrowser is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * OPSBrowser is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with OPSBrowser; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 */
/**
 * CommandListener.java
 * 
 * Time-stamp: <01/06/28 09:20:53 ftaiani>
 * @author Francois Taiani   <taiani@laas.fr>
 * CVS Info: $Id: CommandListener.java,v 1.3 2004/09/09 15:31:02 ftaiani Exp $
 * 
 */
package laas.friends.cosmopen.interpreter ;

/**
 * This interface specify a listener to
 * command execution. The reification
 * method {@link #aListenedCommandHasBeenSuccessfullyCalled(Command,String[]) }
 * is called by the {@link CommandInterpreter } each
 * time a command has been successfully executed.
 * @author Francois Taiani   <taiani@laas.fr>
 * @version $Name: release-1-3-rc1 $ $Revision: 1.3 $
 * @since Version 0.0.3
 */
public interface CommandListener {

    /**
     * is called by the {@link CommandInterpreter } each
     * time a command has been successfully executed.
     * @param aCommand the executed command
     * @param args     the arguments of the execution.
     */
    public void 
	aListenedCommandHasBeenSuccessfullyCalled
	(Command aCommand, String[] args) ;

} // EndInterface CommandListener
