/*
 * Copyright 2003 LAAS-CNRS
 *
 *   LAAS-CNRS
 *   7, avenue du Colonel Roche
 *   F-31077 Toulouse Cedex 4 / France
 *
 * Author: Francois Taiani
 *
 * This file is part of OPSBrowser.
 * 
 * OPSBrowser is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * OPSBrowser is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with OPSBrowser; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 */
/**
 * TestOPSBrowser.java
 * 
 * Time-stamp: <02/08/16 12:02:08 ftaiani>
 * @author Francois Taiani   <taiani@laas.fr>
 * CVS Info: $Id: TestOPSBrowser.java,v 1.1 2005/04/13 16:23:44 ftaiani Exp $
 * 
 */
package laas.friends.cosmopen.test;

import junit.framework.TestSuite ;

/**
 * Test driver for {@link TestOPSBrowser} and related classes.
 * @version $Name: release-1-3-rc1 $ $Revision: 1.1 $
 * @since Version 0.0.1
 */
public class TestOPSBrowser 
extends junit.framework.TestCase {

    public TestOPSBrowser(String name) {
	super(name) ;
    } // EndConstructor TestOPSBrowser

    /**
     * creates a global set of test for {@link TestOPSBrowser }.
     * Is intened to be used with a junit TestRunner.
     */
    public static junit.framework.Test suite() { 

	TestSuite suite= new TestSuite(); 

	suite.addTest 
	    ( laas.friends.cosmopen.graphAnalysis.test.TestGraphAnalysis.suite() ); 
	suite.addTest
	    ( laas.friends.cosmopen.commands     .     TestCommandPkg   .suite() );
	suite.addTest
	    (new TestSuite
		(laas.friends.cosmopen.interpreter.TestCommandInterpreter.class));
	suite.addTest
	    (new TestSuite
		(laas.friends.cosmopen.test.TestSomeOptions.class));
	// (Francois Taiani) Wed Apr 13 2005 10:29:45
	// This part is broken. I remove it until I've got time to work on it.
// 	suite.addTest
// 	    (new TestSuite
// 		(laas.friends.cosmopen.extractor.test.TestBreakpointTraceExtractor
// 		 .class));

	return suite;

    } // EndStaticMethod public static Test suite()

} // EndClass TestOPSBrowser
