# This sets the classpath environment variable for OPSBrowse and
# must be adapted according on the local configuration.
# This file is used in the "runSomething" script by doing
# a "source classpath.sh"

JVM=java

if [[ "$OPSBROWSER_HOME" == "" ]] ; then
    OPSBROWSER_HOME=$PWD
fi

if [[ "$JAVA_HOME" == "" ]] ; then
    JAVA=`which java` ;
    if [[ "$JAVA" != "" ]] ; then
	JAVA_HOME=`dirname $JAVA`/../ ;
    fi ;
fi ;

if [[ "$JAVA_HOME" == "" ]] ; then
    echo "Could not find any java installation." ;
    exit 1 ;
fi

JAVALIB=${OPSBROWSER_HOME}/LIB

# [CHANGE] FT26Jul07 Not portable
# LOCALJAR=`find $JAVALIB -name "*.jar" -printf "%p:"`

LOCALJAR=`ls $JAVALIB/*.jar | awk '{total= $0 ":" total } END {print total}'`

# [CHANGE] FT26Jul07: tools jar no longer exists. Something to look at.

CLASSPATH=${CLASSPATH}:${LOCALJAR}${OPSBROWSER_HOME}/BIN:$JAVA_HOME/lib/tools.jar

#echo $CLASSPATH

export CLASSPATH
