/*
 * Copyright 2003 LAAS-CNRS
 *
 *   LAAS-CNRS
 *   7, avenue du Colonel Roche
 *   F-31077 Toulouse Cedex 4 / France
 *
 * Author: Francois Taiani
 *
 * This file is part of OPSBrowser.
 * 
 * OPSBrowser is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * OPSBrowser is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with OPSBrowser; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 */
/**
 * launcher.c
 * 
 * Francois Taiani   <taiani@laas.fr>
 * Time-stamp: <2003-04-07 18:20:00 ftaiani>
 * 
 */

#include <stdio.h>
#include <iostream.h>

#include <stdlib.h>

#include <sys/types.h>
#include <regex.h>

#include "Monitor.h"
#include "MonitorGDB.h"

/**
 *  That functions monitors the launched child process.
 */
void runMonitor(MonitorGDB aMonitor)
{
  cout << "In runMonitor\n" ;

  aMonitor.tracingIsActive = true ;

  aMonitor.gdbSource("../gdblets/init.gdb") ;
  aMonitor.gdbSource("../gdblets/hookStopOnBreakP.gdb") ;

  aMonitor.gdbSource("../gdblets/kernelBreakP.gdb"        ) ;
  aMonitor.gdbSource("../gdblets/CLibBreakP-pthread.gdb"  ) ;
  aMonitor.gdbSource("../gdblets/mutexBreakP.gdb"         ) ;
  
  aMonitor.setBreakPointSOnSymbol("write") ;
 
  aMonitor.continueUntilProgramStops() ;
  
  aMonitor.sendLineToChildBlocking( "kill" ) ;
  aMonitor.sendLineToChild        ( "quit" ) ;

} // End function runMonitor

int main (int argc, char * argv[]) 
{
  if (argc<2) {
    cerr << "Usage: dyngdb [<gdb-option>] <gdb-target-program>" << endl ;
    cerr << "Bad Usage. Aborting." << endl ;
    exit(1) ; 
  }

  MonitorGDB theMonitor(argc, argv)  ;

  runMonitor(theMonitor) ;

  theMonitor.waitForEndOfMonitoredProcess() ;

  cout << "Returning of process " << getpid() << endl ;


} // End Main
